English Community

ThinkPad NotebooksThinkPad: X Series Laptops
All Forum Topics
Options

2 Posts

10-28-2020

United Kingdom of Great Britain and Northern Ireland

1 Signins

20 Page Views

  • Posts: 2
  • Registered: ‎10-28-2020
  • Location: United Kingdom of Great Britain and Northern Ireland
  • Views: 20
  • Message 1 of 7

warning when attempting to update x1 extreme gen 2: "BIOS image file is older than BIOS ROM."

2020-10-28, 8:39 AM

Lenovo System Update indicates that a new BIOS (1.34) is available for my machine - however, when attempting the installation, I get the following warning:

"BIOS image file is older than BIOS ROM. Do you want to continue?"

 

No other update is outstanding. Is it advised to continue? Would appreciate any assistance/guidance.

 

Current specs:

 

BIOS Version/Date LENOVO N2OET44W (1.31 ), 07/05/2020

System Model 20QVCTO1WW

Windows 10 20H2

 

Reply
Options

9855 Posts

09-04-2014

Slovakia

32730 Signins

1213080 Page Views

  • Posts: 9855
  • Registered: ‎09-04-2014
  • Location: Slovakia
  • Views: 1213080
  • Message 2 of 7

Re:warning when attempting to update x1 extreme gen 2: "BIOS image file is older than BIOS ROM."

2020-10-28, 11:05 AM

Hello and welcome to Community,

 

That shouldn't be happening and I will report it. That said BIOS 1.35 has been released today and is available for manual download, it will become available via Vantage in about 7-10 days.
https://support.lenovo.com/gb/en/downloads/ds540308

 

Andy

 

English Community Administrator
Lenovo eServices

Please remember to come back and mark the post that you feel solved your question as the solution, it earns the member + points 
Did you find a post helpfull? You can thank the member by awarding them a Thumbs Up
 

Please don't ask me questions by Personal Message; questions belong in the forums.


Using Browser Search to find your answers in Lenovo and Moto Community
Reply
Options

1568 Posts

03-11-2020

Norway

175 Signins

8221 Page Views

  • Posts: 1568
  • Registered: ‎03-11-2020
  • Location: Norway
  • Views: 8221
  • Message 3 of 7

Re:warning when attempting to update x1 extreme gen 2: "BIOS image file is older than BIOS ROM."

2020-10-28, 11:06 AM

Disregard post.

 



Did someone help you today? Press the thumbs-up icon below to thank them with a Kudos!!
If you find a post helpful and it answers your question, please mark it as an "Accepted Solution"! This will help the rest of the Community with similar issues identify the verified solution and benefit from it.

Please don't ask me questions by Personal Message; questions belong in the forums.

Reply
Options

2 Posts

10-28-2020

United Kingdom of Great Britain and Northern Ireland

1 Signins

20 Page Views

  • Posts: 2
  • Registered: ‎10-28-2020
  • Location: United Kingdom of Great Britain and Northern Ireland
  • Views: 20
  • Message 4 of 7

Re:warning when attempting to update x1 extreme gen 2: "BIOS image file is older than BIOS ROM."

2020-10-28, 14:06 PM
Thanks Andy, appreciated. I'll have a look at 1.35 and report back.
Reply
Options

228 Posts

12-01-2019

Chile

246 Signins

2014 Page Views

  • Posts: 228
  • Registered: ‎12-01-2019
  • Location: Chile
  • Views: 2014
  • Message 5 of 7

Re:warning when attempting to update x1 extreme gen 2: "BIOS image file is older than BIOS ROM."

2020-10-30, 1:31 AM

This is happening to you because you have the BIOS 1.31 installed, and this BIOS have the EC (Embedded controller) 1.23 integrated.

 

After many months of complaints, Lenovo ended pulling all BIOSes 1.30 and 1.31 because that EC 1.23 was causing problems to several X1EG2 owners (keyboard, thermals, etc.).

 

BIOS 1.34 and 1.35 were released with the EC 1.22 instead, who is older that the EC 1.23. So, that's why you are receiving that warning.

 

No need to worry. Update to 1.35 and you will not have any issues (...I guess).

Reply
Options

1 Posts

12-26-2020

United States of America

1 Signins

5 Page Views

  • Posts: 1
  • Registered: ‎12-26-2020
  • Location: United States of America
  • Views: 5
  • Message 6 of 7

Re:warning when attempting to update x1 extreme gen 2: "BIOS image file is older than BIOS ROM."

2020-12-26, 4:09 AM

I'm getting this same error. It looks like Vantage is trying to install BIOS version 1.36. I decline to install it when that error comes up because I don't want to do anything I'm unsure about with the BIOS. I'm also using a ThinkPad x1 Extreme Gen 2.

 

The wmic bios command returns the following info:

BiosCharacteristics                                                     BIOSVersion                                             BuildNumber  Caption           CodeSet  CurrentLanguage  Description       EmbeddedControllerMajorVersion  EmbeddedControllerMinorVersion  IdentificationCode  InstallableLanguages  InstallDate  LanguageEdition  ListOfLanguages  Manufacturer  Name              OtherTargetOS  PrimaryBIOS  ReleaseDate                SerialNumber  SMBIOSBIOSVersion  SMBIOSMajorVersion  SMBIOSMinorVersion  SMBIOSPresent  SoftwareElementID  SoftwareElementState  Status  SystemBiosMajorVersion  SystemBiosMinorVersion  TargetOperatingSystem  Version
{7, 9, 11, 12, 15, 16, 19, 24, 26, 27, 28, 29, 30, 32, 33, 40, 42, 43}  {"LENOVO - 1030", "N2OET43W (1.30 )", "Lenovo - 1030"}               N2OET43W (1.30 )           en-US            N2OET43W (1.30 )  1                               23                                                  1                                                   {"en-US"}        LENOVO        N2OET43W (1.30 )                 TRUE         20200324000000.000000+000  [redacted]    N2OET43W (1.30 )   3                   1                   TRUE           N2OET43W (1.30 )   3                     OK      1                       30                      0                      LENOVO - 1030
Reply
Options

228 Posts

12-01-2019

Chile

246 Signins

2014 Page Views

  • Posts: 228
  • Registered: ‎12-01-2019
  • Location: Chile
  • Views: 2014
  • Message 7 of 7

Re:warning when attempting to update x1 extreme gen 2: "BIOS image file is older than BIOS ROM."

2020-12-26, 4:20 AM
See my previous post. It applies also for 1.36. Ignore the error and you should be fine.
Reply
Forum Home

Community Guidelines

Please review our Guidelines before posting.

Learn More

Check out current deals!

Go Shop
X

Save

X

Delete

X

No, I don’t want to share ideas Yes, I agree to these terms